Page MenuHomePhabricator

Emptying the fileinfo resets the original file info
Closed, ResolvedPublic1 Story Points

Description

  • Submit a file to Special:fileimport
  • click "Edit File Info"
  • Empty the text in the editor
  • Save

-> Result: The old info is still there.

  • Submit a file to Special:fileimport
  • click "Edit File Info"
  • Change the text to something
  • click Save, you see the changed content rendered on the importpage
  • click "Edit File Info" again
  • Empty the text in the editor
  • Save

-> Result: The original info is there again.

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptApr 16 2018, 1:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Additional buggy consequence: The edit summary is editable but the edit summary content is not used…

Lea_WMDE set the point value for this task to 1.Apr 24 2018, 2:40 PM

Change 428709 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/FileImporter@master] Use empty file info text if given

https://gerrit.wikimedia.org/r/428709

Change 428709 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Use empty file info text if given

https://gerrit.wikimedia.org/r/428709

WMDE-Fisch closed this task as Resolved.May 3 2018, 7:26 AM